Bug 834667 - selinux prevents adobe flash player from accessing pulse-shm-921379035
selinux prevents adobe flash player from accessing pulse-shm-921379035
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
17
Unspecified Linux
unspecified Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Ben Levenson
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-22 13:56 EDT by Peter Gückel
Modified: 2013-02-17 10:54 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-17 10:54:57 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
SE Troubleshoot Details (2.59 KB, text/plain)
2012-06-22 13:56 EDT, Peter Gückel
no flags Details
output (2.59 KB, text/plain)
2012-06-25 19:13 EDT, Peter Gückel
no flags Details
output part 2 (2.25 KB, text/plain)
2012-06-25 21:43 EDT, Peter Gückel
no flags Details

  None (edit)
Description Peter Gückel 2012-06-22 13:56:18 EDT
Created attachment 593807 [details]
SE Troubleshoot Details

Description of problem:
Every time I open a web page with flash on it:

"SELinux is preventing /usr/lib64/xulrunner-2/plugin-container from read access on the file pulse-shm-921379035."

Version-Release number of selected component (if applicable):
selinux-policy-targeted-3.10.0-132.fc17.noarch

How reproducible:
Open a web page with flash and the browser hangs for a moment, then the error happens and the web page loads fine.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

This used to work without a hitch in F16.
Comment 1 Miroslav Grepl 2012-06-25 04:48:16 EDT
What does

# ls -lZ /dev/shm*


Are you able to re-create it? I think it was one-time issue.
Comment 2 Peter Gückel 2012-06-25 12:19:55 EDT
It wasn't just a one-time issue here, but affected this computer for weeks, but it appears to have miraculously disappeared overnight. I am no longer able to recreate it.

ls -Z /dev/shm* shows:

-r--------. peter peter unconfined_u:object_r:user_tmpfs_t:s0 pulse-shm-1793422992
-r--------. peter peter unconfined_u:object_r:user_tmpfs_t:s0 pulse-shm-1963161163
-r--------. peter peter unconfined_u:object_r:user_tmpfs_t:s0 pulse-shm-2018376722
-r--------. peter peter unconfined_u:object_r:user_tmpfs_t:s0 pulse-shm-3181137390
Comment 3 Daniel Walsh 2012-06-25 14:09:52 EDT
Ok reopen if it happens again.
Comment 4 Peter Gückel 2012-06-25 19:12:26 EDT
It just happened again.

I am suspecting that it might have something to do with suspend/resume. After a resume, it appears to fail. This morning, when I said it was fine, I had just done a machine start.
Comment 5 Peter Gückel 2012-06-25 19:13:18 EDT
Created attachment 594313 [details]
output
Comment 6 Peter Gückel 2012-06-25 19:14:15 EDT
here is the result of ls -Z again:

-r--------. peter peter unconfined_u:object_r:user_tmpfs_t:s0 pulse-shm-1232624848
-r--------. peter peter unconfined_u:object_r:user_tmpfs_t:s0 pulse-shm-1793422992
-r--------. peter peter unconfined_u:object_r:user_tmpfs_t:s0 pulse-shm-1963161163
-r--------. peter peter unconfined_u:object_r:user_tmpfs_t:s0 pulse-shm-2018376722
-r--------. peter peter unconfined_u:object_r:mozilla_plugin_tmpfs_t:s0 pulse-shm-3898524044
Comment 7 Peter Gückel 2012-06-25 21:43:10 EDT
Created attachment 594325 [details]
output part 2

These 2 denials ocurred as a pair, this one was really the first of the two.
Comment 8 Miroslav Grepl 2012-06-26 06:00:03 EDT
Ok, so you have opened web page and then you suspend/resume your machine, right?
Comment 9 Peter Gückel 2012-06-26 10:24:45 EDT
(In reply to comment #8)
> Ok, so you have opened web page and then you suspend/resume your machine,
> right?

Wrong. I suspend the machine and when I am ready to use it again, I resume the machine. Now, I open the web page and the denial occurs.
Comment 10 Daniel Walsh 2012-06-29 17:25:29 EDT
Might be a kernel issue if after a resume a tmpfs file comes up with a different label.

Note You need to log in before you can comment on or make changes to this bug.